Get current usage and quotas
curl --request GET \
--url https://api.splat-3d.com/v1/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.splat-3d.com/v1/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.splat-3d.com/v1/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"period": "2026-04",
"scenes_created": 3,
"scenes_processed": 2,
"gpu_seconds_used": 0,
"storage_bytes": 0,
"limits": {
"scenes_created": 100,
"scenes_processed": 100,
"gpu_seconds": 36000,
"storage_bytes": 53687091200
}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}Usage
Get current usage and quotas
Returns the authenticated user’s usage for the current billing period and their plan limits.
GET
/
v1
/
usage
Get current usage and quotas
curl --request GET \
--url https://api.splat-3d.com/v1/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.splat-3d.com/v1/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.splat-3d.com/v1/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"period": "2026-04",
"scenes_created": 3,
"scenes_processed": 2,
"gpu_seconds_used": 0,
"storage_bytes": 0,
"limits": {
"scenes_created": 100,
"scenes_processed": 100,
"gpu_seconds": 36000,
"storage_bytes": 53687091200
}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}